Bug 509637 - Rpm complains about conflicts with files explicitly excluded with excludepath
Rpm complains about conflicts with files explicitly excluded with excludepath
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Panu Matilainen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-04 08:05 EDT by Göran Uddeborg
Modified: 2009-08-04 20:41 EDT (History)
3 users (show)

See Also:
Fixed In Version: 4.7.1-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-04 20:41:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Göran Uddeborg 2009-07-04 08:05:08 EDT
Description of problem:
If a package to be installed includes files that is already on the system, owned by other packages, and different, it will complain about the conflict.  If I wanted the already existing version of the file to remain, I believe I have previously explicitly excluded the file in question with --excludepath.  This no longer seems to work.  RPM complains about the files even when excluded.

Version-Release number of selected component (if applicable):
rpm-4.7.0-1.fc11.x86_64

How reproducible:
Every time

Steps to Reproduce:
I note this on some non-distribution packages, but to illustrate the problem, you can try to install an old fedora-release package:

rpm -U --excludepath /usr/share/doc/HTML/index.html --excludepath /usr/share/firstboot/modules/eula.py fedora-release-3.90-2.noarch.rpm

Actual results:
This still gives the complaint

        file /usr/share/firstboot/modules/eula.py from install of fedora-release-3.90-2.noarch conflicts with file from package firstboot-1.105-2.fc11.x86_64

and the corresponding error for the index.html file and the fedora-release-notes package.

Expected results:
With the excludepath arguments, the downgrade should work.  (At least as far as file conflicts are concerned.  Other dependency issues could likely turn up.  I of course don't recommend actually doing this, but it is a simple way to illustrate the problem with a package from a distribution.)
Comment 1 Panu Matilainen 2009-07-09 03:10:05 EDT
Easily reproduced, this is a regression between 4.6.x and 4.7.x.
Comment 2 Panu Matilainen 2009-07-09 04:07:22 EDT
Fixed upstream
Comment 3 Fedora Update System 2009-07-24 01:17:00 EDT
rpm-4.7.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rpm-4.7.1-1.fc11
Comment 4 Fedora Update System 2009-07-24 15:40:05 EDT
rpm-4.7.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rpm'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7986
Comment 5 Göran Uddeborg 2009-07-26 11:28:27 EDT
I've tested 4.7.1-1.fc11, and excludepath works again! :-)
Comment 6 Fedora Update System 2009-08-04 20:40:42 EDT
rpm-4.7.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.